Apache JMeter

## org.apache.jmeter.timers
Interface Timer

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  BeanShellTimer, BSFTimer, ConstantThroughputTimer, ConstantTimer, GaussianRandomTimer, JSR223Timer, RandomTimer, SyncTimer, UniformRandomTimer

    public interface Timer

extends Serializable

This interface defines those methods that must be implemented by timer plugins.

Method Summary
`long` `delay()` This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

Method Detail

### delay

    long delay()

  This method is called after a sampling process is done to know how much time the sampling thread has to wait until sampling again.

  Returns:
    the computed delay value.

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.